Summary: A widely used IRC (Internet Relay Chat) client.
Name: BitchX
Version: 1.0c16
Release: 4
Serial: 1
Group: Applications/Communications
Copyright: distributable, see license
URL: http://www.bitchx.com
Source: ftp://ftp.bitchx.com/pub/BitchX/source/BitchX-%{version}.tar.gz
Source1: bitchx.desktop
Patch0: BitchX-Invite.patch
BuildRequires: gtk+ >= 1.2.8
Buildroot: %{_tmppath}/%{name}-root
Obsoletes: ircii ircii-epic

%description
BitchX is a text mode ircII client.  BitchX features include ANSI
color, easy to use shortcut commands, notify/protection/bot lists, 
mass commands and tools, an extended set of DCC commands and built-in 
CDCC, a link looker, extended scripting functionality, a screen client
which allows you to detach and reattach to an IRC session, and lots of 
help available online (many users, many available scripts and a
dedicated help channel--#BitchX on EFNET).

%package -n gtkBitchX
Summary: GTK+ version of BitchX
Group: Applications/Communications
Requires: %{name} = %{version}-%{release}, gtk+ >= 1.2.8

%description -n gtkBitchX
This version of BitchX contains GTK+ support.

%prep
%setup -q -n BitchX 
%patch0 -p1 

%build
mkdir -p  GTKBITCHX
mkdir -p  BITCHXREGULAR

pushd GTKBITCHX
ln -sf ../configure configure
%configure --prefix=%{_prefix} \
	--with-gtk \
	--enable-sound \
	--srcdir=..
make
popd

pushd BITCHXREGULAR
ln -sf ../configure configure
%configure --srcdir=..
make
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p extra
mv doc/*.{desktop,png,xpm} extra || :
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Internet
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Internet
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m0644 extra/BitchX.desktop $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Internet
install -m0644 extra/gtkBitchX.desktop $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Internet
install -m0644 extra/BitchX.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m0644 extra/bitchx.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m0644 extra/bitch52.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m0644 doc/BitchX.1.gz $RPM_BUILD_ROOT%{_mandir}/man1

# install regular BitchX
pushd BITCHXREGULAR
%makeinstall
popd

# install gtkBitchX
pushd GTKBITCHX
%makeinstall
popd


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README bugs BitchX.* doc/*
%{_bindir}/BitchX-%{version}
%{_bindir}/BitchX
%{_bindir}/scr-bx
%{_libdir}/bx
%{_mandir}/*/*
%{_datadir}/pixmaps/*
%config %{_sysconfdir}/X11/applnk/Internet/BitchX.desktop

%files -n gtkBitchX
%defattr(-,root,root)
%doc README bugs BitchX.* doc/*
%{_bindir}/gtkBitchX-%{version}
%{_bindir}/gtkBitchX
%{_datadir}/gnome/apps/Internet/gtkBitchX.desktop

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jul 05 2000 Tim Powers <timp@redhat.com>
- created new package, gtkBitchX for the gtk+ version
- built for 7.0

* Wed Jul 05 2000 Tim Powers <timp@redhat.com>
- updated to patch a problem where users were killing BitchX with invite
  commands
- built for 6.x

* Tue Dec 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Tue Jul 27 1999 Tim Powers <timp@redhat.com>
- updated to 75p3
- install manpage
- cleaned up spec file
- new patch for Makefile
- built for 6.1

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- updated package
- changed spec file

* Fri May 15 1998 Michael Maher <mike@redhat.com>
- Built package
